petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetTree

get the tree that describes the hierarchy of non-conforming mesh points. Collective on dm

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetTree(DM dm, PetscSection *parentSection, PetscInt *parents[], PetscInt *childIDs[], PetscSection *childSection, PetscInt *children[])

### Input Parameters

dm -the DMPlex object Many br

### Output Parameters

| parentSection | - a section describing the tree: a point has a parent if it has 1 dof in the section; the section Many broffset indexes the parent and childID list Many br
| parents | - a list of the point parents Many br
| childIDs | - identifies the relationship of the child point to the parent point; if there is a reference tree, then Many brthe child corresponds to the point in the reference tree with index childID Many br
| childSection | - the inverse of the parent section Many br
| children | - a list of the point children Many br

Many br

### See Also

DMPlexSetTree(), DMPlexSetReferenceTree(), DMPlexSetAnchors(), DMPlexGetTreeParent(), DMPlexGetTreeChildren()

Level:intermediate
Location:src/dm/impls/plex/plextree.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages